package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.dynamodb.domain.doc.OwnedLandDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface OwnedLandRepository extends DynamoDBRepository<OwnedLandDoc> {
    OwnedLandDoc findOwnedLand(String guid, Integer landId);
    void insert(String guid, Integer landId);
    void delete(String guid, Integer landId);
    DynamodbOperationResult initOwnedLand(String guid, Integer landId);
}
